---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: loki
  name: loki
  namespace: monitoring
spec:
  selector:
    matchLabels:
      app: loki
  template:
    metadata:
      labels:
        app: loki
    spec:
      securityContext:
        fsGroup: 472
        supplementalGroups:
          - 0
      containers:
        - name: loki
          image: registry.gitlab.com/dxcker/loki:latest
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 3100
              name: http-loki
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /ready
              port: 3100
              scheme: HTTP
            initialDelaySeconds: 10
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 2
          livenessProbe:
            failureThreshold: 3
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 1
            tcpSocket:
              port: 3100
            timeoutSeconds: 1
          resources:
            requests:
              cpu: 250m
              memory: 750Mi
          volumeMounts:
            - mountPath: /config
              name: loki-config
            - mountPath: /data
              name: loki-data
      volumes:
      - name: loki-config
        nfs:
          server: 10.40.0.10
          path: /dpool/data/monitoring/loki/config
          readOnly: false
      - name: loki-data
        nfs:
          server: 10.40.0.10
          path: /dpool/data/monitoring/loki/data
          readOnly: false
